List Delayed Streams
List Delayed streams
curl -X GET "https://api.5centscdn.com/v2/streams/timeshift?page=1" \
-H "Content-Type: application/json" \
-H "X-API-Key: YOUR_API_KEY"
import requests
import json
url = "https://api.5centscdn.com/v2/streams/timeshift?page=1"
headers = {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.5centscdn.com/v2/streams/timeshift?page=1", {
method: "GET",
headers: {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api.5centscdn.com/v2/streams/timeshift?page=1", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-API-Key", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.5centscdn.com/v2/streams/timeshift?page=1')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
request['X-API-Key'] = 'YOUR_API_KEY'
response = http.request(request)
puts response.body
{
"result": "success",
"streams": [
{
"monitoring_id": null,
"type": "timeshift",
"id": 70697,
"serviceid": 103,
"name": "jgj_ts/hgjh_Testing",
"codec": "h264",
"ingests": [
[],
null
],
"protocols": [
[
"HLS"
],
[
"HLS"
]
],
"parentid": 67836,
"server": "1",
"backup": "",
"dedicatedLTC": "0",
"hasAdvancedFeatures": "0",
"monitoring_triggers": null,
"draft": "0",
"disabled": "0",
"created_at": "2026-04-01 11:39:30",
"updated_at": "2026-04-01 11:39:30",
"lastseen_at": "2026-04-07 10:56:12",
"deleted": null,
"ingestsLock": 0,
"protocolsLock": 0,
"status": "Enabled",
"has": {
"rtmp": 0,
"rtsp": 0,
"hls": 1,
"dash": 0,
"rtmpauth": false
},
"parts": {
"pp": "jgj_ts",
"sn": "hgjh_Testing",
"full": "jgj_tshgjh_Testing"
},
"parent": {
"id": 67836,
"name": "jgj/hgjh",
"codec": "h264",
"stype": "push",
"rtmpauth": "N"
},
"restream": {},
"timeshift": {
"shift": 1,
"type": "stream"
},
"playbackurls": {
"scheme": "https",
"url_prefix": "https://stream-abc12-hls-live.stream.example.com",
"rtmp": "",
"rtsp": "",
"hlsManifest": "playlist.m3u8",
"dashManifest": "manifest.mpd",
"hls": "https://hash-hls-live.5centscdn.com",
"dash": "https://hash-hls-live.5centscdn.com",
"players": {
"flowplayer": {
"baseQ": "",
"base": "https://cdn.example.com/flowplayer/hls/",
"hls": "https://cdn.example.com/flowplayer/hls/aHR0cHM6Ly9zdHJlYW0uZXhhbXBsZS5jb20vc2FtcGxlL3N0cmVhbS9wbGF5bGlzdC5tM3U4",
"rtmp": "",
"rtsp": ""
},
"videojs": {
"baseQ": "",
"base": "https://cdn.example.com/videojs/hls/",
"hls": "https://cdn.example.com/videojs/hls/aHR0cHM6Ly9zdHJlYW0uZXhhbXBsZS5jb20vc2FtcGxlL3N0cmVhbS9wbGF5bGlzdC5tM3U4",
"rtmp": "",
"rtsp": ""
},
"own": {
"hashes": {
"stream-abc12-hls-live.stream.example.com": {
"hash": "51yu37cg771s7mr0",
"hls": "https://hash-hls-live.5centscdn.com",
"base64": "aHR0cHM6Ly9zdHJlYW0uZXhhbXBsZS5jb20vc2FtcGxlL3N0cmVhbS9wbGF5bGlzdC5tM3U4",
"dash": "https://hash-hls-live.5centscdn.com",
"base64dash": "aHR0cHM6Ly9zdHJlYW0uZXhhbXBsZS5jb20vc2FtcGxlL3N0cmVhbS9wbGF5bGlzdC5tM3U4"
}
},
"baseQ": "?showcv=true&title=jgj_ts/hgjh_Testing",
"base": "https://cdn.example.com/player/hls/skin1/51yu37cg771s7mr0/",
"hls": "https://cdn.example.com/player/hls/skin1/51yu37cg771s7mr0/aHR0cHM6Ly9zdHJlYW0uZXhhbXBsZS5jb20vc2FtcGxlL3N0cmVhbS9wbGF5bGlzdC5tM3U4?showcv=true&title=jgj_ts/hgjh_Testing",
"dash": "https://cdn.example.com/player/dash/skin1/51yu37cg771s7mr0/aHR0cHM6Ly9zdHJlYW0uZXhhbXBsZS5jb20vc2FtcGxlL3N0cmVhbS9wbGF5bGlzdC5tM3U4?showcv=true&title=jgj_ts/hgjh_Testing"
}
},
"tokenized": null
},
"platformsCount": 0,
"ssl_enabled": true,
"hash": "hgjh_Testing",
"securetoken": {
"enabled": "N",
"policy": "D",
"keyip": "N",
"list": "",
"timeout": 3600,
"session": "0",
"ips": "",
"dirs": null,
"active": "N"
},
"domainlock": {
"enabled": "N",
"policy": "Y",
"list": "example.com,docs.example.com",
"ips": "",
"noreferer": "N",
"active": "N"
},
"geoblock": {
"enabled": "N",
"policy": "N",
"list": [
""
],
"ips": "",
"active": "N"
},
"ipaccess": {
"enabled": "N",
"policy": "N",
"list": "",
"ips": "",
"active": "N"
},
"useragent": {
"enabled": "N",
"policy": "Y",
"list": "",
"ips": "",
"casesensitive": "N",
"active": "N",
"listArr": [
""
]
},
"transcode": {
"ltc": 0,
"type": "mixed",
"enabled": false,
"isEditable": true
},
"platforms": [
{
"id": 42117,
"rtmp": "rtmp://rtmp.5centscdn.com:1935/",
"auth": "Y",
"username": "admin",
"password": "password",
"isSRT": false,
"key": "password",
"schedule": "instant",
"scheduletime": null,
"codec": null,
"length": "00:00",
"relid": 51730,
"dedicatedLTC": "0",
"transcode": {
"ltc": 0,
"type": "mixed",
"enabled": false,
"isEditable": true
},
"disabled": "0",
"name": "Custom RTMP Flyer",
"platform_id": 1,
"provider_id": 0,
"video_id": ""
}
],
"messages": {
"warning": [
"Stream is disabled.<a href='#enableModal' class='modal-trigger' style='margin-left: 25px;'>Click here to Enable Stream</a>"
]
},
"adInsertion": null
}
]
}
GET
/streams/timeshift
GET
Base URLstring
Target server for requests. Edit to use your own host.
API Key (header: X-API-Key)
X-API-Keystring
RequiredAPI key (sent in header)
Request Preview
Response
Response will appear here after sending the request
Authentication
header
X-API-Keystring
RequiredAPI Key for authentication. Provide your API key in the header.
Query Parameters
pageinteger
Example:
1Responses
resultstring
Status of the API response.
streamsarray
List of live streams.
Was this page helpful?